# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AbnormalTimePeriod,
    Address,
    AddressResponse,
    AnalysisData,
    AnalysisDefinition,
    ApiDefinitionInfo,
    AppServiceCertificate,
    AppServiceCertificateCollection,
    AppServiceCertificateOrder,
    AppServiceCertificateOrderCollection,
    AppServiceCertificateOrderPatchResource,
    AppServiceCertificatePatchResource,
    AppServiceCertificateResource,
    AppServiceEnvironment,
    AppServiceEnvironmentCollection,
    AppServiceEnvironmentPatchResource,
    AppServiceEnvironmentResource,
    AppServicePlan,
    AppServicePlanCollection,
    AppServicePlanPatchResource,
    ApplicationLogsConfig,
    ApplicationStack,
    ApplicationStackCollection,
    AutoHealActions,
    AutoHealCustomAction,
    AutoHealRules,
    AutoHealTriggers,
    AzureBlobStorageApplicationLogsConfig,
    AzureBlobStorageHttpLogsConfig,
    AzureStorageInfoValue,
    AzureStoragePropertyDictionaryResource,
    AzureTableStorageApplicationLogsConfig,
    BackupItem,
    BackupItemCollection,
    BackupRequest,
    BackupSchedule,
    BillingMeter,
    BillingMeterCollection,
    Capability,
    Certificate,
    CertificateCollection,
    CertificateDetails,
    CertificateEmail,
    CertificateOrderAction,
    CertificatePatchResource,
    CloningInfo,
    Components1Jq1T4ISchemasManagedserviceidentityPropertiesUserassignedidentitiesAdditionalproperties,
    ConnStringInfo,
    ConnStringValueTypePair,
    ConnectionStringDictionary,
    Contact,
    ContinuousWebJob,
    ContinuousWebJobCollection,
    CorsSettings,
    CsmMoveResourceEnvelope,
    CsmOperationCollection,
    CsmOperationDescription,
    CsmOperationDescriptionProperties,
    CsmOperationDisplay,
    CsmPublishingProfileOptions,
    CsmSlotEntity,
    CsmUsageQuota,
    CsmUsageQuotaCollection,
    CustomHostnameAnalysisResult,
    DataSource,
    DataTableResponseColumn,
    DataTableResponseObject,
    DatabaseBackupSetting,
    DefaultErrorResponse,
    DefaultErrorResponseError,
    DefaultErrorResponseErrorDetailsItem,
    DeletedAppRestoreRequest,
    DeletedSite,
    DeletedWebAppCollection,
    Deployment,
    DeploymentCollection,
    DeploymentLocations,
    DetectorAbnormalTimePeriod,
    DetectorDefinition,
    DetectorInfo,
    DetectorResponse,
    DetectorResponseCollection,
    DiagnosticAnalysis,
    DiagnosticAnalysisCollection,
    DiagnosticCategory,
    DiagnosticCategoryCollection,
    DiagnosticData,
    DiagnosticDetectorCollection,
    DiagnosticDetectorResponse,
    DiagnosticMetricSample,
    DiagnosticMetricSet,
    Dimension,
    Domain,
    DomainAvailablilityCheckResult,
    DomainCollection,
    DomainControlCenterSsoRequest,
    DomainOwnershipIdentifier,
    DomainOwnershipIdentifierCollection,
    DomainPatchResource,
    DomainPurchaseConsent,
    DomainRecommendationSearchParameters,
    EnabledConfig,
    EndpointDependency,
    EndpointDetail,
    ErrorEntity,
    Experiments,
    FileSystemApplicationLogsConfig,
    FileSystemHttpLogsConfig,
    FunctionEnvelope,
    FunctionEnvelopeCollection,
    FunctionSecrets,
    GeoDistribution,
    GeoRegion,
    GeoRegionCollection,
    GlobalCsmSkuDescription,
    HandlerMapping,
    HostKeys,
    HostName,
    HostNameBinding,
    HostNameBindingCollection,
    HostNameSslState,
    HostingEnvironmentDeploymentInfo,
    HostingEnvironmentDiagnostics,
    HostingEnvironmentProfile,
    HttpLogsConfig,
    HybridConnection,
    HybridConnectionCollection,
    HybridConnectionKey,
    HybridConnectionLimits,
    Identifier,
    IdentifierCollection,
    InboundEnvironmentEndpoint,
    InboundEnvironmentEndpointCollection,
    IpSecurityRestriction,
    KeyInfo,
    LocalizableString,
    LogSpecification,
    MSDeploy,
    MSDeployLog,
    MSDeployLogEntry,
    MSDeployStatus,
    ManagedServiceIdentity,
    MetricAvailabilily,
    MetricAvailability,
    MetricDefinition,
    MetricSpecification,
    MigrateMySqlRequest,
    MigrateMySqlStatus,
    NameIdentifier,
    NameIdentifierCollection,
    NameValuePair,
    NetworkAccessControlEntry,
    NetworkFeatures,
    NetworkTrace,
    Operation,
    OutboundEnvironmentEndpoint,
    OutboundEnvironmentEndpointCollection,
    PerfMonCounterCollection,
    PerfMonResponse,
    PerfMonSample,
    PerfMonSet,
    PremierAddOn,
    PremierAddOnOffer,
    PremierAddOnOfferCollection,
    PremierAddOnPatchResource,
    PrivateAccess,
    PrivateAccessSubnet,
    PrivateAccessVirtualNetwork,
    ProcessInfo,
    ProcessInfoCollection,
    ProcessModuleInfo,
    ProcessModuleInfoCollection,
    ProcessThreadInfo,
    ProcessThreadInfoCollection,
    ProxyOnlyResource,
    PublicCertificate,
    PublicCertificateCollection,
    PushSettings,
    RampUpRule,
    Recommendation,
    RecommendationCollection,
    RecommendationRule,
    ReissueCertificateOrderRequest,
    RelayServiceConnectionEntity,
    Rendering,
    RenewCertificateOrderRequest,
    RequestsBasedTrigger,
    Resource,
    ResourceCollection,
    ResourceHealthMetadata,
    ResourceHealthMetadataCollection,
    ResourceMetric,
    ResourceMetricAvailability,
    ResourceMetricCollection,
    ResourceMetricDefinition,
    ResourceMetricDefinitionCollection,
    ResourceMetricName,
    ResourceMetricProperty,
    ResourceMetricValue,
    ResourceNameAvailability,
    ResourceNameAvailabilityRequest,
    ResponseMetaData,
    RestoreRequest,
    ServiceSpecification,
    Site,
    SiteAuthSettings,
    SiteCloneability,
    SiteCloneabilityCriterion,
    SiteConfig,
    SiteConfigResource,
    SiteConfigResourceCollection,
    SiteConfigurationSnapshotInfo,
    SiteConfigurationSnapshotInfoCollection,
    SiteExtensionInfo,
    SiteExtensionInfoCollection,
    SiteInstance,
    SiteLimits,
    SiteLogsConfig,
    SiteMachineKey,
    SitePatchResource,
    SitePhpErrorLogFlag,
    SiteSeal,
    SiteSealRequest,
    SiteSourceControl,
    SkuCapacity,
    SkuDescription,
    SkuInfo,
    SkuInfoCollection,
    SkuInfos,
    SlotConfigNamesResource,
    SlotDifference,
    SlotDifferenceCollection,
    SlotSwapStatus,
    SlowRequestsBasedTrigger,
    Snapshot,
    SnapshotCollection,
    SnapshotRecoverySource,
    SnapshotRestoreRequest,
    Solution,
    SourceControl,
    SourceControlCollection,
    StackMajorVersion,
    StackMinorVersion,
    StampCapacity,
    StampCapacityCollection,
    StatusCodesBasedTrigger,
    StorageMigrationOptions,
    StorageMigrationResponse,
    StringDictionary,
    SwiftVirtualNetwork,
    TldLegalAgreement,
    TldLegalAgreementCollection,
    TopLevelDomain,
    TopLevelDomainAgreementOption,
    TopLevelDomainCollection,
    TriggeredJobHistory,
    TriggeredJobHistoryCollection,
    TriggeredJobRun,
    TriggeredWebJob,
    TriggeredWebJobCollection,
    Usage,
    UsageCollection,
    User,
    ValidateContainerSettingsRequest,
    ValidateRequest,
    ValidateResponse,
    ValidateResponseError,
    VirtualApplication,
    VirtualDirectory,
    VirtualIPMapping,
    VirtualNetworkProfile,
    VnetGateway,
    VnetInfo,
    VnetParameters,
    VnetRoute,
    VnetValidationFailureDetails,
    VnetValidationTestFailure,
    WebAppCollection,
    WebAppInstanceCollection,
    WebJob,
    WebJobCollection,
    WorkerPool,
    WorkerPoolCollection,
    WorkerPoolResource,
)

from ._web_site_management_client_enums import (  # type: ignore
    AccessControlEntryAction,
    AppServicePlanRestrictions,
    AutoHealActionType,
    AzureResourceType,
    AzureStorageState,
    AzureStorageType,
    BackupItemStatus,
    BackupRestoreOperationType,
    BuiltInAuthenticationProvider,
    CertificateOrderActionType,
    CertificateOrderStatus,
    CertificateProductType,
    Channels,
    CheckNameResourceTypes,
    CloneAbilityResult,
    ComputeModeOptions,
    ConnectionStringType,
    ContinuousWebJobStatus,
    CustomHostNameDnsRecordType,
    DatabaseType,
    DnsType,
    DnsVerificationTestResult,
    DomainPatchResourcePropertiesDomainNotRenewableReasonsItem,
    DomainPropertiesDomainNotRenewableReasonsItem,
    DomainStatus,
    DomainType,
    Enum3,
    Enum4,
    FrequencyUnit,
    FtpsState,
    HostNameType,
    HostType,
    HostingEnvironmentStatus,
    InAvailabilityReasonType,
    InternalLoadBalancingMode,
    IpFilterTag,
    IssueType,
    KeyVaultSecretStatus,
    LogLevel,
    MSDeployLogEntryType,
    MSDeployProvisioningState,
    ManagedPipelineMode,
    ManagedServiceIdentityType,
    MySqlMigrationType,
    NotificationLevel,
    OperationStatus,
    ProvisioningState,
    PublicCertificateLocation,
    PublishingProfileFormat,
    RedundancyMode,
    RenderingType,
    ResourceNotRenewableReason,
    ResourceScopeType,
    RouteType,
    ScmType,
    SiteAvailabilityState,
    SiteExtensionType,
    SiteLoadBalancing,
    SkuName,
    SolutionType,
    SslState,
    StatusOptions,
    SupportedTlsVersions,
    TriggeredWebJobStatus,
    UnauthenticatedClientAction,
    UsageState,
    ValidateResourceTypes,
    WebJobType,
    WorkerSizeOptions,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AbnormalTimePeriod",
    "Address",
    "AddressResponse",
    "AnalysisData",
    "AnalysisDefinition",
    "ApiDefinitionInfo",
    "AppServiceCertificate",
    "AppServiceCertificateCollection",
    "AppServiceCertificateOrder",
    "AppServiceCertificateOrderCollection",
    "AppServiceCertificateOrderPatchResource",
    "AppServiceCertificatePatchResource",
    "AppServiceCertificateResource",
    "AppServiceEnvironment",
    "AppServiceEnvironmentCollection",
    "AppServiceEnvironmentPatchResource",
    "AppServiceEnvironmentResource",
    "AppServicePlan",
    "AppServicePlanCollection",
    "AppServicePlanPatchResource",
    "ApplicationLogsConfig",
    "ApplicationStack",
    "ApplicationStackCollection",
    "AutoHealActions",
    "AutoHealCustomAction",
    "AutoHealRules",
    "AutoHealTriggers",
    "AzureBlobStorageApplicationLogsConfig",
    "AzureBlobStorageHttpLogsConfig",
    "AzureStorageInfoValue",
    "AzureStoragePropertyDictionaryResource",
    "AzureTableStorageApplicationLogsConfig",
    "BackupItem",
    "BackupItemCollection",
    "BackupRequest",
    "BackupSchedule",
    "BillingMeter",
    "BillingMeterCollection",
    "Capability",
    "Certificate",
    "CertificateCollection",
    "CertificateDetails",
    "CertificateEmail",
    "CertificateOrderAction",
    "CertificatePatchResource",
    "CloningInfo",
    "Components1Jq1T4ISchemasManagedserviceidentityPropertiesUserassignedidentitiesAdditionalproperties",
    "ConnStringInfo",
    "ConnStringValueTypePair",
    "ConnectionStringDictionary",
    "Contact",
    "ContinuousWebJob",
    "ContinuousWebJobCollection",
    "CorsSettings",
    "CsmMoveResourceEnvelope",
    "CsmOperationCollection",
    "CsmOperationDescription",
    "CsmOperationDescriptionProperties",
    "CsmOperationDisplay",
    "CsmPublishingProfileOptions",
    "CsmSlotEntity",
    "CsmUsageQuota",
    "CsmUsageQuotaCollection",
    "CustomHostnameAnalysisResult",
    "DataSource",
    "DataTableResponseColumn",
    "DataTableResponseObject",
    "DatabaseBackupSetting",
    "DefaultErrorResponse",
    "DefaultErrorResponseError",
    "DefaultErrorResponseErrorDetailsItem",
    "DeletedAppRestoreRequest",
    "DeletedSite",
    "DeletedWebAppCollection",
    "Deployment",
    "DeploymentCollection",
    "DeploymentLocations",
    "DetectorAbnormalTimePeriod",
    "DetectorDefinition",
    "DetectorInfo",
    "DetectorResponse",
    "DetectorResponseCollection",
    "DiagnosticAnalysis",
    "DiagnosticAnalysisCollection",
    "DiagnosticCategory",
    "DiagnosticCategoryCollection",
    "DiagnosticData",
    "DiagnosticDetectorCollection",
    "DiagnosticDetectorResponse",
    "DiagnosticMetricSample",
    "DiagnosticMetricSet",
    "Dimension",
    "Domain",
    "DomainAvailablilityCheckResult",
    "DomainCollection",
    "DomainControlCenterSsoRequest",
    "DomainOwnershipIdentifier",
    "DomainOwnershipIdentifierCollection",
    "DomainPatchResource",
    "DomainPurchaseConsent",
    "DomainRecommendationSearchParameters",
    "EnabledConfig",
    "EndpointDependency",
    "EndpointDetail",
    "ErrorEntity",
    "Experiments",
    "FileSystemApplicationLogsConfig",
    "FileSystemHttpLogsConfig",
    "FunctionEnvelope",
    "FunctionEnvelopeCollection",
    "FunctionSecrets",
    "GeoDistribution",
    "GeoRegion",
    "GeoRegionCollection",
    "GlobalCsmSkuDescription",
    "HandlerMapping",
    "HostKeys",
    "HostName",
    "HostNameBinding",
    "HostNameBindingCollection",
    "HostNameSslState",
    "HostingEnvironmentDeploymentInfo",
    "HostingEnvironmentDiagnostics",
    "HostingEnvironmentProfile",
    "HttpLogsConfig",
    "HybridConnection",
    "HybridConnectionCollection",
    "HybridConnectionKey",
    "HybridConnectionLimits",
    "Identifier",
    "IdentifierCollection",
    "InboundEnvironmentEndpoint",
    "InboundEnvironmentEndpointCollection",
    "IpSecurityRestriction",
    "KeyInfo",
    "LocalizableString",
    "LogSpecification",
    "MSDeploy",
    "MSDeployLog",
    "MSDeployLogEntry",
    "MSDeployStatus",
    "ManagedServiceIdentity",
    "MetricAvailabilily",
    "MetricAvailability",
    "MetricDefinition",
    "MetricSpecification",
    "MigrateMySqlRequest",
    "MigrateMySqlStatus",
    "NameIdentifier",
    "NameIdentifierCollection",
    "NameValuePair",
    "NetworkAccessControlEntry",
    "NetworkFeatures",
    "NetworkTrace",
    "Operation",
    "OutboundEnvironmentEndpoint",
    "OutboundEnvironmentEndpointCollection",
    "PerfMonCounterCollection",
    "PerfMonResponse",
    "PerfMonSample",
    "PerfMonSet",
    "PremierAddOn",
    "PremierAddOnOffer",
    "PremierAddOnOfferCollection",
    "PremierAddOnPatchResource",
    "PrivateAccess",
    "PrivateAccessSubnet",
    "PrivateAccessVirtualNetwork",
    "ProcessInfo",
    "ProcessInfoCollection",
    "ProcessModuleInfo",
    "ProcessModuleInfoCollection",
    "ProcessThreadInfo",
    "ProcessThreadInfoCollection",
    "ProxyOnlyResource",
    "PublicCertificate",
    "PublicCertificateCollection",
    "PushSettings",
    "RampUpRule",
    "Recommendation",
    "RecommendationCollection",
    "RecommendationRule",
    "ReissueCertificateOrderRequest",
    "RelayServiceConnectionEntity",
    "Rendering",
    "RenewCertificateOrderRequest",
    "RequestsBasedTrigger",
    "Resource",
    "ResourceCollection",
    "ResourceHealthMetadata",
    "ResourceHealthMetadataCollection",
    "ResourceMetric",
    "ResourceMetricAvailability",
    "ResourceMetricCollection",
    "ResourceMetricDefinition",
    "ResourceMetricDefinitionCollection",
    "ResourceMetricName",
    "ResourceMetricProperty",
    "ResourceMetricValue",
    "ResourceNameAvailability",
    "ResourceNameAvailabilityRequest",
    "ResponseMetaData",
    "RestoreRequest",
    "ServiceSpecification",
    "Site",
    "SiteAuthSettings",
    "SiteCloneability",
    "SiteCloneabilityCriterion",
    "SiteConfig",
    "SiteConfigResource",
    "SiteConfigResourceCollection",
    "SiteConfigurationSnapshotInfo",
    "SiteConfigurationSnapshotInfoCollection",
    "SiteExtensionInfo",
    "SiteExtensionInfoCollection",
    "SiteInstance",
    "SiteLimits",
    "SiteLogsConfig",
    "SiteMachineKey",
    "SitePatchResource",
    "SitePhpErrorLogFlag",
    "SiteSeal",
    "SiteSealRequest",
    "SiteSourceControl",
    "SkuCapacity",
    "SkuDescription",
    "SkuInfo",
    "SkuInfoCollection",
    "SkuInfos",
    "SlotConfigNamesResource",
    "SlotDifference",
    "SlotDifferenceCollection",
    "SlotSwapStatus",
    "SlowRequestsBasedTrigger",
    "Snapshot",
    "SnapshotCollection",
    "SnapshotRecoverySource",
    "SnapshotRestoreRequest",
    "Solution",
    "SourceControl",
    "SourceControlCollection",
    "StackMajorVersion",
    "StackMinorVersion",
    "StampCapacity",
    "StampCapacityCollection",
    "StatusCodesBasedTrigger",
    "StorageMigrationOptions",
    "StorageMigrationResponse",
    "StringDictionary",
    "SwiftVirtualNetwork",
    "TldLegalAgreement",
    "TldLegalAgreementCollection",
    "TopLevelDomain",
    "TopLevelDomainAgreementOption",
    "TopLevelDomainCollection",
    "TriggeredJobHistory",
    "TriggeredJobHistoryCollection",
    "TriggeredJobRun",
    "TriggeredWebJob",
    "TriggeredWebJobCollection",
    "Usage",
    "UsageCollection",
    "User",
    "ValidateContainerSettingsRequest",
    "ValidateRequest",
    "ValidateResponse",
    "ValidateResponseError",
    "VirtualApplication",
    "VirtualDirectory",
    "VirtualIPMapping",
    "VirtualNetworkProfile",
    "VnetGateway",
    "VnetInfo",
    "VnetParameters",
    "VnetRoute",
    "VnetValidationFailureDetails",
    "VnetValidationTestFailure",
    "WebAppCollection",
    "WebAppInstanceCollection",
    "WebJob",
    "WebJobCollection",
    "WorkerPool",
    "WorkerPoolCollection",
    "WorkerPoolResource",
    "AccessControlEntryAction",
    "AppServicePlanRestrictions",
    "AutoHealActionType",
    "AzureResourceType",
    "AzureStorageState",
    "AzureStorageType",
    "BackupItemStatus",
    "BackupRestoreOperationType",
    "BuiltInAuthenticationProvider",
    "CertificateOrderActionType",
    "CertificateOrderStatus",
    "CertificateProductType",
    "Channels",
    "CheckNameResourceTypes",
    "CloneAbilityResult",
    "ComputeModeOptions",
    "ConnectionStringType",
    "ContinuousWebJobStatus",
    "CustomHostNameDnsRecordType",
    "DatabaseType",
    "DnsType",
    "DnsVerificationTestResult",
    "DomainPatchResourcePropertiesDomainNotRenewableReasonsItem",
    "DomainPropertiesDomainNotRenewableReasonsItem",
    "DomainStatus",
    "DomainType",
    "Enum3",
    "Enum4",
    "FrequencyUnit",
    "FtpsState",
    "HostNameType",
    "HostType",
    "HostingEnvironmentStatus",
    "InAvailabilityReasonType",
    "InternalLoadBalancingMode",
    "IpFilterTag",
    "IssueType",
    "KeyVaultSecretStatus",
    "LogLevel",
    "MSDeployLogEntryType",
    "MSDeployProvisioningState",
    "ManagedPipelineMode",
    "ManagedServiceIdentityType",
    "MySqlMigrationType",
    "NotificationLevel",
    "OperationStatus",
    "ProvisioningState",
    "PublicCertificateLocation",
    "PublishingProfileFormat",
    "RedundancyMode",
    "RenderingType",
    "ResourceNotRenewableReason",
    "ResourceScopeType",
    "RouteType",
    "ScmType",
    "SiteAvailabilityState",
    "SiteExtensionType",
    "SiteLoadBalancing",
    "SkuName",
    "SolutionType",
    "SslState",
    "StatusOptions",
    "SupportedTlsVersions",
    "TriggeredWebJobStatus",
    "UnauthenticatedClientAction",
    "UsageState",
    "ValidateResourceTypes",
    "WebJobType",
    "WorkerSizeOptions",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
